##
##  git-crypt.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2020 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         git-crypt
Summary:      Git Repository Per-File Encryption
URL:          https://www.agwa.name/projects/git-crypt/
Vendor:       Andrew Ayer
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      GPL
Version:      20200706
Release:      20200706

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/git-crypt/git-crypt-%{version}.zip

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  gcc, gcc::with_cxx = yes, make
PreReq:       git

%description
    git-crypt enables transparent encryption and decryption of files in
    a git repository. Files which you choose to protect are encrypted
    when committed, and decrypted when checked out. git-crypt lets you
    freely share a repository containing a mix of public and private
    content.

%track
    prog git-crypt = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/git-crypt/
        regex     = git-crypt-(__VER__)\.zip
    }

%prep
    %setup -q -n git-crypt-master

%build
    %{l_make} %{l_mflags} \
        CXX="%{l_cxx}" \
        CXXFLAGS="%{l_cxxflags -O} %{l_cppflags} -Wno-deprecated-declarations" \
        LDFLAGS="%{l_ldflags} -lcrypto"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/git
    %{l_shtool} install -c -s -m 755 \
        git-crypt $RPM_BUILD_ROOT%{l_prefix}/libexec/git/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

